import { EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
export declare class CommonFormComponent implements OnInit {
    private fb;
    constructor(fb: FormBuilder);
    ngOnInit(): void;
    bcacFormEmit: EventEmitter<any>;
    validateForm: FormGroup;
    formSize: string;
    bcacSize: string;
    fieldList: any[];
    bcacFields: any;
    submit(): void;
    resetForm(): void;
}
